### Virtual Method

# Clutter InputMethod set_surrounding

#### Declaration [src]

    void
    set_surrounding (
      ClutterInputMethod* im,
      const gchar* text,
      guint cursor,
      guint anchor
    )

#### Description

No description available.

#### Parameters

`text`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cursor`

  Type: `guint`

  No description available.

`anchor`

  Type: `guint`

  No description available.